"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SendHeartbeatRequest = exports.Model = exports.EdgeMetric = exports.InternalServiceException = exports.GetDeviceRegistrationResult = exports.GetDeviceRegistrationRequest = void 0;
const SagemakerEdgeServiceException_1 = require("./SagemakerEdgeServiceException");
var GetDeviceRegistrationRequest;
(function (GetDeviceRegistrationRequest) {
    GetDeviceRegistrationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetDeviceRegistrationRequest = exports.GetDeviceRegistrationRequest || (exports.GetDeviceRegistrationRequest = {}));
var GetDeviceRegistrationResult;
(function (GetDeviceRegistrationResult) {
    GetDeviceRegistrationResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetDeviceRegistrationResult = exports.GetDeviceRegistrationResult || (exports.GetDeviceRegistrationResult = {}));
class InternalServiceException extends SagemakerEdgeServiceException_1.SagemakerEdgeServiceException {
    constructor(opts) {
        super({
            name: "InternalServiceException",
            $fault: "client",
            ...opts,
        });
        this.name = "InternalServiceException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InternalServiceException.prototype);
        this.Message = opts.Message;
    }
}
exports.InternalServiceException = InternalServiceException;
var EdgeMetric;
(function (EdgeMetric) {
    EdgeMetric.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EdgeMetric = exports.EdgeMetric || (exports.EdgeMetric = {}));
var Model;
(function (Model) {
    Model.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Model = exports.Model || (exports.Model = {}));
var SendHeartbeatRequest;
(function (SendHeartbeatRequest) {
    SendHeartbeatRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SendHeartbeatRequest = exports.SendHeartbeatRequest || (exports.SendHeartbeatRequest = {}));
